<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<!-- connections table -->
	<table>
		<name>connections</name>
		<column>
			<name>id</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<autoincrement>true</autoincrement>
			</options>
		</column>
		<column>
			<name>server</name>
			<type>string</type>
			<options>
				<length>255</length>
			</options>
		</column>
		<column>
			<name>description</name>
			<type>string</type>
			<options>
				<length>128</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>client</name>
			<type>string</type>
			<options>
				<length>255</length>
			</options>
		</column>
		<column>
			<name>last_connected_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>stop_lookups</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>stop_interval</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>3600</default>
			</options>
		</column>
		<column>
			<name>block_lookups</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		
		<keys>
			<primary>id</primary>
			<unique>server|client</unique>
			<index>block_lookups</index>
		</keys>
		<init>
		SQL:<![CDATA[
		]]>
		</init>
	</table>
</tables>
